EXPECT BUGS. The latter end of development for 1.1.0 was rushed, so I didn't do much playtesting for new changes.

## Skill upgrades (and one nerf):
I've included config to disable all of the vanilla changes - mostly in case you don't like certain edits, but also for compatibility with other Commando mods (mostly Phase Round Lightning for those who like that mod more)
- Double Tap has slightly less maximum bloom (also has config to revert attack speed changes in anniversary update).
- Phase Round has config options for increasing size, removing chained-hit damage, and increasing the base to 400%.
- Phase Blast's overall damage has been nerfed from 1600% to 1400% (the rest of his kit got stronger to compensate).
- Tactical Dive has been adjusted to be a more combat-oriented skill - while it's slightly shorter than in vanilla, it also travels faster and has a second charge added, in addition to briefly stunning adjacent enemies and giving Commando about 50% damage reduction (can be adjusted with config).
- Tactical Slide's dash hasn't been touched, but the aerial jump has been given +20% more velocity.
- Suppressive Fire now deals -5% less per bullet and has much more spread - however, the bullet count has been doubled, giving better overall damage up close and allowing Commando to spread stun more easily.
- Frag Grenade now has access to a unique debuff described further below.

## New features:
### Heavy Tap (Primary)
Commando's upgraded his guns to fire much more accurately, allowing him to bypass the falloff issues his Double Tap had while also dealing high damage. However, he can't fire continuously - he'll need to keep an eye on the six charges this skill comes with.
- There's an alternate version of this skill available in configs if you don't like the cooldown mechanic; it instead has a forced delay between shots, acting similar to the first game's Double Tap.

### Plasma Tap (Primary)
Inspired heavily by Metroid Prime and Environmental Station Alpha, Plasma Tap has very low range compared to his other ammo choices. However, it more than makes up for it in damage - in addition to the bullets themselves being comparable to Double Tap in DPS, they can also fire lightning at the target and nearby enemies for even more damage.

### Phase Missile (Secondary)
Using his right pistol, Commando fires between 3-6 missiles depending on how long the skill is charged. They deal little damage on their own, but their numbers and ability to stun make them quite potent at crowd control.

### Mini Flamethrower (Secondary)
A melee-oriented secondary similar to Artificer's flamethrower, but smaller, weaker, and significantly faster. Also inflicts the new Scorched debuff, giving it more damage than is listed in the description; it also pushes you backwards slightly in the air, giving you another form of mobility.

### Spark Chaser (Special)
Fires a slow-moving orb that deals damage over time, in addition to arcing out to other enemies. Mostly designed for melee range, as it doesn't travel very far before fizzling out.

### Sweep Barrage (Special)
Taken from an unused skill; fires a minimum of four shots forward, aimed at any enemies within a certain cone. Must be enabled in config.

### Collector (Passive - must be enabled in config)
With this skill active, Commando gains small stat boosts on levelup in addition to extra HP/damage. (thanks to Krysto for suggesting the original, also known as Military Training)

### Second Wind (Passive - must be enabled in config)
With this skill active, Commando gains additional move and attack speed when low on HP.

### Scorched (Debuff)
A new debuff exclusive to Frag Grenade and the new Phase Flare; it lowers armor by -30 for 2.5 seconds.

## Other notes
- If you want to give feedback, I've got a server for RoR2 projects here: https://discord.gg/xjAWykGByy
(if that link doesn't work for some reason, you can also contact me at FMRadio11#8912 on discord)
- Don't worry about letting me know about bugs/balancing issues, I'm fully expecting them at this point
- Scepter support for the altered vanilla skills probably won't happen due to how AncientScepter is coded - I can't alter or replace the upgraded skills due to stuff being either internal or private. Go bother them if you want to see changes
- NONE OF THE NEW CHANGES HAVE BEEN TESTED FOR NETWORKING. Expect bugs in multiplayer.

## Post-Beta Changelog

### 1.1.5
- Forgot to add a soft dependency for Playable Akali to prevent it inheriting passives
- Thunderstore description has been updated to anniversary changes
- Updated version number in console

### 1.1.4
- Fixed Spark Chaser unlock not working if you entered Void during stage 7 or later
- Fixed Frag Grenade using the old wording for damage if any changes were enabled
- Added config to restore Micro Missile's original appearance/sounds (using updated missile prefab)
- Tactical Dive cooldown 4.5s -> 3s, now only restores 1 charge
- Sweep Barrage should now have its original force, previously had none
- Flamethrower now uses Incinerator Drone's prefab like it originally did during the pre-anniversary beta
- Attack speed scaling on Flamethrower reduced slightly
- Flamethrower recoil 280 -> 300
- Flamethrower damage 60% -> 57.5%
- Spark Chaser cooldown 8s -> 9s
- Spark Chaser lightning interval 0.25s -> 0.22s, seeker refresh 0.1s - 0.22s
- Spark Chaser search distance 20m -> 25m
- Spark Chaser rotation speed 90 -> 60
- Removed unused variables from some skills
- Corrected Spark Chaser being called Plasma Orb on the Thunderstore description

### 1.1.3
- Buffed Tactical Slide in config should no longer keep the armor/invincibility from Tactical Roll
- Old Shatter option in config removed; the new mechanics were reverted after porting to EnigmaticThunder so it wasn't doing anything
- Scorched should now properly display -25 armor in keywords
- Removed the alternate keyword for Scorched used by Frag Grenade

### 1.1.2
- Forgot to disable Mini Flamethrower when sprinting
- Properly reduced Scorched to -25 (left it at -30 previously)
- Fixed buffs, should have actual effects now
- Added config to disable all added skills individually (will also remove the achievement)
- Added an achievement for Sweep Barrage
- Removed unneeded soft dependencies

### 1.1.1
- Forgot to change dependencies

### 1.1.0
- Ported to new API
- Icons updated to 128x128, previously used upscaled 64x64 placeholders
- Removed unneeded Double Tap changes, Anniversary update did a lot of it already
- Double Tap spread bloom value 0.12 -> 0.18
- Added config to revert Double Tap's attack speed to pre-annivesary Mando Gaming
- Heavy Tap tracer updated to match new icons
- CD Heavy Tap damage 2x170% -> 2x185%
- CD Heavy Tap enters cooldown after first shot
- CD Heavy Tap cooldown 1.2s -> 2.75s, now holds 6 charges and recharges all of them at once
- Legacy Heavy Tap damage 2x130% -> 2x155% and duration 0.54s -> 0.5s to match new Double Tap IF attack speed nerf isn't enabled
- Plasma Tap now uses the same SteppedSkillDef method post-anniversary Double Tap does
- Plasma Tap beam damage 110% -> 150%, arc damage 30% -> 25%
- Plasma Tap arc now jumps to 3 enemies (up from 2)
- Plasma Tap sound updated*
- Phase Round post-anniversary changes are currently scrapped until I can figure out what components I'm looking for, for now it's 400% + 40% per hit
- Phase Blast force 100/100 -> 0/500
- Micro Missile renamed to Phase Missile
- Phase Missile now has new visuals/sound effects to give an electric theme
- Phase Missile range 6.25 -> 6
- Phase Missile proc coefficient 1 -> 0.8
- Phase Missile maximum charge duration raised slightly to prevent the skill from firing immediately after the last loading sound
- Phase Missile interrupt priority reverted to Skill -> Priority Skill for now, may change this back later
- Mini Flamethrower (Secondary) added
- Tactical Roll is slightly longer, felt too short before
- Tactical Roll CD 4s -> 4.5s, now refreshes 2 stocks
- Suppressive Fire damage 10x80% -> 10x100%, cooldown 7.5s -> 8s
- Grenade no longer has keyword if Scorched is disabled
- 1.0.9 Frag Grenade change reverted, I couldn't get the code to work properly w/ Phase Flare post-anniversary
- Gravity Wave (Special) added*
- Cloned Sweep Barrage skill in files and finished graphics
- Shattered debuff renamed to Scorched to fit Phase Flare
- Scorched armor reduction -20 -> -30
- May have other changes I forgot about

### 1.0.10
- Forgot to add Pain interrupt priority to Micro Missile's loading half, should no longer consume multiple charges on use

### 1.0.9
- Heavy Tap's tracer wasn't finished in 1.0.8, should be coded correctly now
- Micro Missiles should now fly slower initially but speed up over time
- Micro Missiles will now home in on nearby enemies similar to Visions of Heresy, may need reworking later
- Micro Missiles now actually have the Stunning keyword
- Frag Grenade now applies Shatter only if it deals more than 200% damage (it's done this way to keep compatibility with StandaloneAncientScepter for now)
- All new gameplay changes have config to disable them for now, may be removed in future updates

### 1.0.8
- Heavy Tap tracer made slightly longer (I think???)
- Alt version of Heavy Tap renamed to "Heavy Tap (legacy)"
- Heavy Tap (legacy) damage 2x170% -> 2x130%, speed increased to compensate (it's weaker than Double Tap, but not by much)
- Fixed old duration system for both versions of Heavy Tap since using shootDelay wasn't working; Heavy Tap should now resemble RoR1 Double Tap
- Suppressive Fire damage 12x65% -> 10x80%
- Suppressive Fire duration per bullet 0.06s -> 0.075s (total duration 0.72s -> 0.75s), should make it easier to spread damage around
- Suppressive Fire cooldown 7s -> 7.5s, but begins cooldown immediately instead of after the skill executes
- Military Training renamed to Collector to avoid overlap with Sniper, still has the same benefits
- Text changes

### 1.0.7
- Now has a soft dependency on Sniper Classic to avoid it inheriting the modified prefab
- If other mods are inheriting the passives, let me know and I'll fix it

### 1.0.6
- Didn't actually change Plasma Tap unlock last time, my b
- Unneeded logs regarding Plasma Tap removed

### 1.0.5
- Prefabs reverted to old method; passives now have no effect if the survivor's base name token is not "COMMANDO_BODY_NAME" (should fix mods like Sniper Classic benefitting from it)
- Tracer prefab and lightning effect for Plasma Tap updated, should hopefully look more electric now (also gives compatibility with BalanceOverhaulRBO post-Tesla nerf but that's not as important)
- Second Wind will now work if brought from above 50% to below 25% in one hit, previously would not activate until they heal back to above 25% due to leftovers from an older version of the passive
- Second Wind now has a visual effect when active
- The unlocks for both Heavy Tap and Plasma Tap weren't given if you exited the stage via a portal; both of them have been changed to when the teleporter is fully charged
- Added logs for when certain modules are complete to make debugging a bit easier

### 1.0.4
- Plasma Tap's tracer may be slightly different, currently experimenting with improving the visuals
- Added in a missing base.isAuthority check to reworked Tactical Slide, should hopefully fix animations in multiplayer
- EDIT: The prefab fix from this update didn't work, see 1.1.0 notes

### 1.0.3
- Micro Missile duration 0.2 -> 0.16, no longer speeds up with additional missiles (this was causing unintended firing patterns; may need to adjust further if this got too nerfed)
- Micro Missile's skill classes now have Pain priority instead of PrioritySkill, may cause unintended behavior but should fix the skill interrupting itself

### 1.0.2
- Added in ResourceAPI
- Considering taking bets for what small error will cause this mod to crash and burn next time
- Thank you to everyone who's been pointing out these mistakes, I'm asleep at the wheel ig

### 1.0.1:
- HealthComponent.TakeDamage was being called even if passives were turned off, should be fixed now

### 1.0.0:
- Double Tap spread 0.08 -> 0.12
- Heavy Tap damage 165% -> 170%
- Heavy Tap cooldown 1.15s -> 1.2s, shot delay 0s -> 0.1s
- Micro Missile duration 3.5s -> 3s, now enters cooldown after firing begins
- Micro Missile can now be charged, releasing up to 6 missiles at full (up from firing 3 immediately)
- Micro Missiles now use their original prefab instead of Paladin's Rocket, hitbox hasn't been adjusted though
- Micro Missile damage 270% -> 180%, no longer has falloff
- Micro Missile radius 6.5m -> 6.25m, velocity 120 -> 180
- Tactical Dive duration 0.9s -> 0.55s, animation made slightly longer than duration to improve visuals
- Tactical Dive initial speed increased to compensate; final result is slightly shorter than vanilla Dive
- Using Tactical Dive next to an enemy (about 3.5m away) will stun them briefly
- Tactical Dive now has 2 charges
- Tactical Slide now has +20% more vertical velocity when used in the air
- Suppressive Fire cooldown 6.5s -> 7s
- Second Wind passive + unlock added
- Blank passive removed, not much point when you can disable passives
- Config moved to MandoGaming.cfg from FMCommando.cfg
- Toggle for whether Tactical Dive gives armor or i-frames (armor by default)
- Toggle for whether Tactical Slide uses the same buff choice as Dive (disabled by default)
- Toggle for whether Frag Grenades stick to enemies (disabled by default)
- Fixed several typos (seriously, I must've been asleep at the keyboard lol)
- Vanilla Heavy Tap (enabled in config) now has 0.4s shot delay instead of changing duration within the class itself; this should hopefully prevent issues with interrupting this with a different skill
- Tactical Dive's armor boost was incorrectly labeled as a debuff
- Optimized asset loading; achievement icons should now work
- A lot of bloat was removed (shouldn't have any effect on gameplay)
- R2API logs now have the correct title

## Beta changelog

### 0.9.7
- Yep I sure did

### 0.9.6
- Micro Missiles should actually have their priority as PrioritySkill now
- Added toggle for giving Slide the armor buff from Dive, although note that it's not balanced around that change
- I stg if I have to do ANOTHER update because I fixed the wrong thing and uploaded it without playtesting it first >_>

### 0.9.5
- Micro Missiles interrupt prioritiy updated from Skill -> PrioritySkill, should now be castable during M1
- Plasma Tap SFX altered slightly, hopefully less annoying now
- Version number is now correct in the mod itself

### 0.9.4
- I'm dumb and used OnBodyRequirementBroken instead of the much easier (and actually functional) base.meetsBodyRequirement
- Heavy Tap unlock should work properly now

### 0.9.3
- More typos fixed
- Suppressive Fire has significantly more spread
- Heavy Tap unlock should now only work with Commando
- Heavy Tap now fires continuously instead of requiring inputs for each shot
- Plasma Tap lightning range reduced (15m -> 11m)
- Possibly??? fixed Plasma Tap not working correctly in multiplayer, haven't been able to test it yet
- Replaced old Micro Missile unlock with a more accessible one
(Micro Missile itself might be improved in later updates, just want to get the fixes here out a bit faster for now)
- Passive order switched to account for the game defaulting to the first slot
- Military Training now applies +0.5 armor per level (down from +1)

### 0.9.2
- Fixing a couple typos within the mod
- Tactical Dive's armor increase can be adjusted with config (making this an exception since I'm unsure on what to do here, for the most part I'm keeping numbers out of config)
- Double Tap buffed to 100%, attack speed moved closer to vanilla to compensate but it's still a small DPS increase
- Discord link should actually work this time???

### 0.9.1
- Updated readme in a couple places

### 0.9.0
- First release

